CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

PlotViewportBorders属性 (ActiveX)

2023-1-3 08:28| 发布者: admin| 查看: 426| 评论: 0|来自: AutoCAD

摘要: 指定是否要打印视口边界。

指定是否要打印视口边界。

支持的平台:仅窗口

签名

工 务 局:

object.PlotViewportBorders
对象

类型:布局绘图配置

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:绘制视口边界。
  • False:不打印视口边界。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_PlotViewportBorders()
    ' This example reads and modifies the PlotViewportBorders
    ' Layout value.
    ' When finished, this example resets the  value back to
    ' its original value.
    
    Dim ACADLayout As ACADLayout
    Dim originalValue As Boolean
    
    ' Get the layout object
    Set ACADLayout = ThisDrawing.ActiveLayout
    
    ' Read and display the original value
    originalValue = ACADLayout.PlotViewportBorders
    MsgBox "The PlotViewportBorders value is set to: " & originalValue

    ' Modify the PlotViewportBorders preference by toggling the value
    ACADLayout.PlotViewportBorders = Not ACADLayout.PlotViewportBorders
    MsgBox "The PlotViewportBorders preference has been set to: " & ACADLayout.PlotViewportBorders

    ' Reset the preference back to its original value
    ACADLayout.PlotViewportBorders = originalValue
    MsgBox "The PlotViewportBorders preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_PlotViewportBorders()
    ;; This example reads and modifies the PlotViewportBorders
    ;; Layout value.
    ;; When finished, this example resets the  value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Get the layout object
    (setq ACADLayout (vla-get-ActiveLayout doc))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-PlotViewportBorders ACADLayout))
    (alert (strcat "The PlotViewportBorders value is set to: " (if (= originalValue :vlax-true) "True" "False")))

    ;; Modify the PlotViewportBorders preference by toggling the value
    (vla-put-PlotViewportBorders ACADLayout (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-PlotViewportBorders ACADLayout))
    (alert (strcat "The PlotViewportBorders preference has been set to: " (if (= newValue :vlax-true) "True" "False")))

    ;; Reset the preference back to its original value
    (vla-put-PlotViewportBorders ACADLayout originalValue)
    (alert (strcat "The PlotViewportBorders preference was reset back to: " (if (= originalValue :vlax-true) "True" "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 17:18

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部